/**

 Implementation DrawingBoard class
 Fraga 10/09/2000 

**/

#include "board.h"
#include <qpainter.h>


DrawingBoard::DrawingBoard( QWidget *parent, const char *name )
        : QWidget( parent, name )
{
    ang = 45;
    setPalette( QPalette( QColor( 250, 250, 200) ) );
	setMouseTracking( TRUE );
	px = py = 0;
}


void DrawingBoard::setAngle( int degrees )
{
    if ( degrees < 5 )
	degrees = 5;
    if ( degrees > 70 )
	degrees = 70;
    if ( ang == degrees )
	return;
    ang = degrees;
    repaint();
//    emit angleChanged( ang );
}


void DrawingBoard::paintEvent( QPaintEvent * )
{
    QString s = "Angle = " + QString::number( ang );
    QPainter p( this );
    p.drawText( 200, 200, s );
}

void DrawingBoard::mouseMoveEvent( QMouseEvent * e )
{
	QPoint c = e->pos( );  

	px = c.x( );
	py = c.y( );
	if ( px>=0 && py>=0 )  emit changePos ( );
}

QSizePolicy DrawingBoard::sizePolicy() const
{
    return QSizePolicy( QSizePolicy::Expanding, QSizePolicy::Expanding );
}

